Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
HeapRecordId..::.fromArray Method (array<Byte>[]()[])
HeapRecordId Class See Also Send Feedback

Construct a HeapRecordId from a byte array, typically Data.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#
    public static HeapRecordId fromArray(
    	byte[] array
    )

Visual Basic (Declaration)
    Public Shared Function fromArray ( _
    	array As Byte() _
    ) As HeapRecordId

Visual C++
    public:
    static HeapRecordId^ fromArray(
    	array<unsigned char>^ array
    )

#### Parameters

array
  Type: array< System..::.Byte >[]()[]
  The array representing the record id

#### Return Value

A new HeapRecordId

# See Also

HeapRecordId Class
fromArray Overload
BerkeleyDB Namespace